Summary: A script for synchronizing two LDAP trees
Name: dassldapsync
Version: 2.0
Release: 1%{?dist}
License: Apache-2.0
Group: other
BuildArch: noarch
URL: http://trac.dass-it.de/pub/browser/dassldapsync

Source: %{name}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python >= 2.6
Requires: python-ldap
Requires: python-dateutil

%description
This script compares two different LDAP subtrees and makes
the according changes on objects in the destination subtree.
Missing objects are created, extraneous objects are deleted.
The two subtrees can reside on two different LDAP servers.
It is also possible to use an LDIF file as the source subtree.

%prep
%setup -c

%build

%install
mkdir -p "%{buildroot}/usr/sbin"
mkdir -p "%{buildroot}/etc/"
install -m 644 dassldapsync.conf %{buildroot}/etc/dassldapsync.conf
install -m 755 dassldapsync.py %{buildroot}/usr/sbin/dassldapsync

%clean
[ "%{buildroot}" != "/" ] &&  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) /etc/dassldapsync.conf
/usr/sbin/dassldapsync

%changelog
* Wed Mar 05 2014 Sebastian Lederer slederer@dass-it.de 1.5
  - now also works if pwd_max_days is not specified in
    the configuration file
* Wed Mar 05 2014 Sebastian Lederer slederer@dass-it.de 1.4
  - add special hack to lock accounts on the destination
    if the password on the source side has expired via ppolicy
    overlay
* Tue Jan 28 2014 Sebastian Lederer slederer@dass-it.de 1.3
  - add configuration option to exclude subtree on substring match
* Tue Jan 28 2014 Sebastian Lederer slederer@dass-it.de 1.2
  - continue on error when creating objects
* Tue Jan 28 2014 Sebastian Lederer slederer@dass-it.de 1.1
  - workaround for buggy LDIF file (duplicate objectClass value)
* Mon Jan 13 2014 Sebastian Lederer slederer@dass-it.de 1.0
  - first attempt at an RPM package
